# Settings: get

**Requires [authorization](https://developers.google.com/glass/v1/reference/settings/get#auth)**

Gets a single setting by ID.

## Request

### HTTP request

```
GET https://www.googleapis.com/mirror/v1/settings/id
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `id` | `string` | The ID of the setting. The following IDs are valid: - `locale` - The key to the user's language/locale ([BCP 47 identifier](http://tools.ietf.org/html/bcp47)) that Glassware should use to render localized content. - `timezone` - The key to the user's current time zone region as defined in the [`tz` database](http://www.twinsun.com/tz/tz-link.htm). Example: `America/Los_Angeles`. |

### Authorization

This request requires authorization with the following scope ([read more about authentication and authorization](https://developers.google.com/glass/authorization)).

| Scope |
|---|
| `https://www.googleapis.com/auth/glass.timeline` |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a [Settings resource](https://developers.google.com/glass/v1/reference/settings#resource) in the response body.